{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "v360:cluckshroom",
			"materials": {
				"cluckshroom": "stray_clothes"
			},
			"textures": {
				"cluckshroom": "textures/entity/cluckshroom"
			},
			"geometry": {
				"cluckshroom": "geometry.cluckshroom"
			},
			"animations": {
				"move": "animation.chicken.move",
				"look_at_target": "animation.common.look_at_target",
				"baby_transform": "animation.chicken.baby_transform",
				"general": "animation.chicken.general"
			},
			"scripts": {
				"animate": [
					"general",
					{
						"move": "query.modified_move_speed"
					},
					"look_at_target",
					{
						"baby_transform": "query.is_baby"
					},
					{
						"general": "query.wing_flap_speed"
					}
				]
			},
			"render_controllers": [
				"controller.render.cluckshroom"
			],
			"spawn_egg": {
				"base_color": "#D21717",
				"overlay_color": "#C7C7C7"
			}
		}
	}
}